<template>
    <div>
        <v-dialog
            v-model="isOpen"
            max-width="600px"
        >
            <v-card>
                <v-card-title>
                    <span class="headline">Create new address</span>
                </v-card-title>
                <v-card-text>
                    <v-container>
                        This action will create new address for current wallet
                    </v-container>
                    <!-- <small>*indicates required field</small> -->
                </v-card-text>
                <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn
                        color="blue darken-1"
                        text
                        @click="isOpen = false"
                    >
                        Close
                    </v-btn>
                    <v-btn
                        color="blue darken-1"
                        text
                        @click="submitAddressHanlder()"
                    >
                        Submit
                    </v-btn>
                </v-card-actions>
            </v-card>
        </v-dialog>
    </div>
</template>
<script>
export default {
    props: ['isOpen'],
    data: () => ({
        createModalForm: {
            name: ''
        },
        valid: true
    }),
    methods: {
        async submitAddressHanlder() {
            this.$emit("close-modal")
        }
    }
}
</script>